@import url('https://fonts.googleapis.com/css2?family=Anton&family=Armata&display=swap');

:root {
    --blue : #33B0CD;
    --light-blue : #BDE6EF;
    --pink : #EB4CAE;
    --purple : #8754DB;

}

body {
    background-color: #101010;
}

h1, h2, h3 {
    font-family: "Anton", serif;
    color: #FEFEFE;
}

p, details {
    font-family: "Armata", serif;
    color: #FEFEFE;
}

button {
    font-family: "Armata", serif;
    color: black;
    margin-bottom: 1%;
}


/*-------------------------------------------- NAV --------------------------------------------*/

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    margin-bottom : 10px;
    border-bottom: var(--purple) 2px solid;
}

.logoNav {
    height : 75px;
    width: auto;
}

.favIcon {
    filter: invert(66%) sepia(83%) saturate(6198%) hue-rotate(301deg) brightness(105%) contrast(84%);
}

/*-------------------------------------------- FORM --------------------------------------------*/
form {
    display: flex;
    justify-content: center;
}

input {
    background-color: var(--light-blue);
}

/*-------------------------------------------- SEARCH SECTION --------------------------------------------*/

#searchSec {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.searchDiv {
    display: flex;
    align-items: center;
    width: 75%;
    margin: 2% 0%;
    padding : 1%;
    border: solid 2px var(--light-blue);
    gap: 2%;
    cursor: pointer;
}
  

.moviePoster {
    height: 250px;
    width: auto;
}

/*-------------------------------------------- DETAILS SECTION --------------------------------------------*/


.detailPoster {
    height: 250px;
    width: auto;
}

.img-sum {
    display: flex;
    width: 75%;
    gap: 3%;
    margin-bottom: 1%;
}

.DetailRating {
    color: #fefefe;
    font-family: "Armata", serif;
    margin-bottom: 1%;
}

/*-------------------------------------------- CASTING SECTION --------------------------------------------*/

.castingResult {
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
}

/*-------------------------------------------- SEASONS SECTION --------------------------------------------*/

.seasonPic {
    height: 100px;
    width: auto;
}
